classification
Title: Only "Overwrite" mode possible with curses.textpad.Textbox
Type: crash Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, dashing, stefanheimann
Priority: normal Keywords: patch

Created on 2004-10-17 19:58 by stefanheimann, last changed 2009-01-22 02:52 by dashing. This issue is now closed.

Files
File name Uploaded Description Edit
insert.patch stefanheimann, 2004-10-17 19:58
Messages (4)
msg22731 - (view) Author: Stefan Wehr (stefanheimann) Date: 2004-10-17 19:58
When entering a character in a curses.textpad.Textbox,
the character under the cursor is deleted instead of
being shifted when position. 

I attached a patch which implements the "Insert" mode.
Maybe you should make it customizable wheter the
Textbox should use the old "Overwrite" or the new
"Insert" mode.

I'm using python 2.3.3
msg22732 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2004-10-19 19:00
Logged In: YES 
user_id=11375

This would be a new feature, so it's getting marked for 2.5.
msg60251 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-01-20 00:02
Applied to the trunk in rev. 60119.  Thanks for your patch!

Please remember to sign and send in a contributor form; the forms are
available at http://www.python.org/psf/contrib/
msg80357 - (view) Author: dashing (dashing) Date: 2009-01-22 02:52
I am getting
"RuntimeError: maximum recursion depth exceeded"

as soon as I type a character in a textbox made with insert_mode=True.
History
Date User Action Args
2009-01-22 02:52:51dashingsetnosy: + dashing
type: crash
messages: + msg80357
2008-01-20 00:02:34akuchlingsetstatus: open -> closed
resolution: accepted
messages: + msg60251
versions: + Python 2.6, - Python 2.5
2008-01-19 22:55:21akuchlingsetkeywords: + patch
title: Only "Overwrite" mode possible with curses.textpad.Textbox -> Only "Overwrite" mode possible with curses.textpad.Textbox
2004-10-17 19:58:26stefanheimanncreate